{ lib, pkgs, ... }:
{
  virtualisation.docker = {
    enable = true;
  };

  programs.nixvim = {
    extraPackages = with pkgs; [
      devpod
      openssh
    ];
    plugins = {
      remote-nvim = {
        enable = true;
        settings = {
          ssh_config = {
            ssh_binary = "${lib.getExe' pkgs.openssh "ssh"}";
            scp_binary = "${lib.getExe' pkgs.openssh "scp"}";
          };
          devpod = {
            binary = "${lib.getExe pkgs.devpod}";
            docker_binary = "${lib.getExe pkgs.docker}";
          };
          remote = {
            copy_dirs = {
              data = {
                base = {
                  __raw = "vim.fn.stdpath (\"data\")";
                };
                compression = {
                  additional_opts = [
                    "--exclude-vcs"
                  ];
                  enabled = true;
                };
                dirs = [
                  "lazy"
                ];
              };
            };
          };
        };
      };
    };
  };
}
